commit:     f257eb94993c8b8453594e82e2c801d9a1b06cb6
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 16 03:57:07 2016 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Wed Mar 16 03:57:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f257eb94

games-action/openclonk: make sure the active compiler can deal with the fancy 
c++ code (bug #572554)

Package-Manager: portage-2.2.26

 games-action/openclonk/openclonk-7.0.ebuild | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

diff --git a/games-action/openclonk/openclonk-7.0.ebuild 
b/games-action/openclonk/openclonk-7.0.ebuild
index be62f00..dd0d3d8 100644
--- a/games-action/openclonk/openclonk-7.0.ebuild
+++ b/games-action/openclonk/openclonk-7.0.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
 
 PYTHON_COMPAT=( python2_7 )
-inherit cmake-utils eutils gnome2-utils python-any-r1 fdo-mime games
+inherit cmake-utils eutils gnome2-utils python-any-r1 fdo-mime toolchain-funcs 
games
 
 MY_P=${PN}-release-${PV}-src
 
@@ -43,6 +43,7 @@ RDEPEND="
        )
        dedicated? ( sys-libs/readline:0= )"
 DEPEND="${RDEPEND}
+       || ( >=sys-devel/gcc-4.9 >=sys-devel/clang-3.3 )
        virtual/pkgconfig
        doc? (
                ${PYTHON_DEPS}
@@ -56,6 +57,14 @@ PATCHES=(
 )
 S=${WORKDIR}/${P}-src
 
+pkg_pretend() {
+       if [[ $(tc-getCXX) == *g++* && $(gcc-version) < 4.9 ]] ; then
+               die 'The active compiler needs to be gcc 4.9 (or newer) or 
clang'
+       else
+               einfo 'The active compiler should be ok'
+       fi
+}
+
 pkg_setup() {
        games_pkg_setup
        use doc && python-any-r1_pkg_setup

Reply via email to